Package twisted :: Package internet :: Module ssl :: Class ContextFactory

[show private | hide private]
[frames | no frames]

## Class ContextFactory

Known Subclasses:
  `DefaultOpenSSLContextFactory`

A factory for SSL context objects, for server SSL connections.

Method Summary
| ``getContext`(self)` Return a SSL.Context object.

Class Variable Summary
`int` | `isClient`

Method Details

### getContext(self)

Return a SSL.Context object. override in subclasses.

Class Variable Details

### isClient

  Type:
    `int`
  Value:

        0

Generated by Epydoc 1.1 on Thu May 8 13:18:28 2003 | http://epydoc.sf.net